> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cogfoundry.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List creator Market transactions

> Returns Market SkillBot calls for the authenticated creator, including execution and settlement projection plus matched creator earning when available. It does not expose funding action internals.



## OpenAPI

````yaml /developer-reference/loomloom-api/openapi.json get /loom/v1/creators/me/marketTransactions
openapi: 3.1.0
info:
  title: loomloom
  description: HTTP API for executing and managing loomloom AI work through CogFoundry.
  version: market-v1
  summary: ''
  contact: {}
servers:
  - url: https://loomloom.cogfoundry.ai
    description: CogFoundry production
security:
  - bearer: []
tags:
  - name: System
  - name: Creator Earnings
  - name: Creators
  - name: Creator Reviews
  - name: Input Assets
  - name: Market Listings
  - name: Market Runs
  - name: Models
  - name: Official Templates
  - name: Assets
  - name: Users
  - name: Runs
  - name: User Templates
paths:
  /loom/v1/creators/me/marketTransactions:
    get:
      tags:
        - Creators
      summary: List creator Market transactions
      description: >-
        Returns Market SkillBot calls for the authenticated creator, including
        execution and settlement projection plus matched creator earning when
        available. It does not expose funding action internals.
      parameters:
        - name: pageSize
          in: query
          description: Page size. Default 100, max 500.
          required: false
          example: ''
          schema:
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.creatorMarketTransactionsResponse'
          headers: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.errorResponse'
          headers: {}
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.errorResponse'
          headers: {}
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.errorResponse'
          headers: {}
      deprecated: false
      security:
        - BearerAuth1: []
components:
  schemas:
    server.creatorMarketTransactionsResponse:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/server.creatorMarketTransactionResponse'
        totalCount:
          type: integer
    server.errorResponse:
      type: object
      properties:
        error:
          type: string
    server.creatorMarketTransactionResponse:
      type: object
      properties:
        actualExecutionCostT:
          type: integer
        creatorEarning:
          $ref: '#/components/schemas/server.creatorEarningResponse'
        creatorNetEarningT:
          type: integer
        creatorUserId:
          type: integer
        estimatedBuyerPayableT:
          type: integer
        estimatedExecutionCostT:
          type: integer
        finalBuyerPayableT:
          type: integer
        listingId:
          type: string
        listingVersionId:
          type: string
        pricingRuleVersion:
          type: string
        runId:
          type: string
        runTransactionId:
          type: string
        skillName:
          type: string
        taskFixedFeeT:
          type: integer
        transactionStatus:
          type: string
    server.creatorEarningResponse:
      type: object
      properties:
        amountT:
          type: integer
        creatorUserId:
          type: integer
        currency:
          type: string
        id:
          type: string
        incomePostStatus:
          type: string
        runTransactionId:
          type: string
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
    BearerAuth1:
      description: 'Use `Authorization: Bearer <api-token>`.'
      type: apiKey
      name: Authorization
      in: header

````